description: >
    Implement to specify power transition behavior on a BMC reset.
    The implementation may choose to only enforce the policy on
    a power loss or on both a power loss and BMC reboot.

properties:
    - name: PowerRestorePolicy
      type: enum[self.Policy]
      default: 'Restore'
      description: >
          The policy to adopt after the BMC reset.

enumerations:
    - name: Policy
      description: >
        Possible power restoration policies.
      values:
        - name: None
          description: >
            Perform no power restore logic.
        - name: AlwaysOn
          description: >
            Perform a complete power on process.
        - name: AlwaysOff
          description: >
            Perform a complete power off process.
        - name: Restore
          description: >
            Restore power to last requested state recorded before the BMC was
            reset.
